import net.mypapit.java.StringTokenizer;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class StringTok extends MIDlet implements CommandListener
{
	private Command cmdOK,cmdExit,cmdClear;;
	private String data;
	private Form form;
	private Display display;
	private TextField id,name,age,address;

	public StringTok()
	{

		data = new String("100|Mohammad Hafiz (mypapit)|23|164, Fakap Utama, Malaysia");
		cmdOK = new Command("OK",Command.OK,0);
		cmdExit = new Command("Exit",Command.EXIT,1);
		cmdClear = new Command("Clear",Command.SCREEN,2);
		form = new Form("StringTokenizer test");

		id = new TextField("ID","",5,TextField.NUMERIC);
		name = new TextField("Name","",64,TextField.ANY);
		age = new TextField("Age","",5,TextField.NUMERIC);
		address = new TextField("Address","",200,TextField.ANY);

		form.append(id);
		form.append(name);
		form.append(age);
		form.append(address);

		form.addCommand(cmdOK);
		form.addCommand(cmdExit);
		form.addCommand(cmdClear);
		form.setCommandListener(this);





	}
	public void startApp()
	{
		display = Display.getDisplay(this);
		display.setCurrent(form);
	}

	public void destroyApp(boolean wtf)
	{
		notifyDestroyed();
	}

	public void pauseApp()
	{}


	public void commandAction(Command c, Displayable d)
	{
		if (c == cmdOK)
		{
			this.getData();
		} else if (c == cmdExit) {
			this.destroyApp(false);
		} else if (c == cmdClear) {
			this.clear();
		}


	}

	//
	// function to break delimited string into tokens
	//

	public void getData()
	{
		//initialise StringTokenizer with "|" as delimiter
		StringTokenizer tok = new StringTokenizer(data,"|");
		id.setString(tok.nextToken());
		name.setString(tok.nextToken());
		age.setString(tok.nextToken());
		address.setString(tok.nextToken());

	}


	public void clear()
	{
				id.setString("");
				name.setString("");
				age.setString("");
				address.setString("");


	}

}